StarTeamCheckin (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.starteam.StarTeamCheckin class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.starteam
Class StarTeamCheckin

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.starteam.StarTeamTask
                  org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
                      org.apache.tools.ant.taskdefs.optional.starteam.StarTeamCheckin

All Implemented Interfaces:
  java.lang.Cloneable

    public class StarTeamCheckin

extends TreeBasedTask

Checks files into a StarTeam project. Optionally adds files and in the local tree that are not managed by the repository to its control. Created: Sat Dec 15 20:26:07 2001

Version:
  1.0

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
`TreeBasedTask.UnmatchedFileMap`

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
`DEFAULT_EXCLUDESETTING, DEFAULT_INCLUDESETTING`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`StarTeamCheckin()` Constructor for StarTeamCheckin.

Method Summary
`protected com.starbase.starteam.View` | `createSnapshotView(com.starbase.starteam.View raw)` Override of base-class abstract function creates an appropriately configured view.
`java.lang.String` | `getComment()` Get the comment attribute for this operation
`boolean` | `isAddUncontrolled()` Get the value of addUncontrolled.
`protected void` | `logOperationDescription(com.starbase.starteam.Folder starteamrootFolder, java.io.File targetrootFolder)` Implements base-class abstract function to emit to the log an entry describing the parameters that will be used by this operation.
`void` | `setAddUncontrolled(boolean addUncontrolled)` if true, any files or folders NOT in StarTeam will be added to the repository.
`void` | `setComment(java.lang.String comment)` Optional checkin comment to be saved with the file.
`void` | `setCreateFolders(boolean argCreateFolders)` Sets the value of createFolders
`void` | `setUnlocked(boolean v)` Set to do an unlocked checkout; optional, default is false; If true, file will be unlocked so that other users may change it.
`protected void` | `testPreconditions()` Implements base-class abstract function to define tests for any preconditons required by the task.
`protected void` | `visit(com.starbase.starteam.Folder starteamFolder, java.io.File targetFolder)` Implements base-class abstract function to perform the checkout operation on the files in each folder of the tree.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask
`_setAsOfDate, _setAsOfDateFormat, _setLabel, execute, getAsOfDate, getExcludes, getFullRepositoryPath, getIDofLabelInUse, getIncludes, getLabel, getLabelID, getLabelInUse, getRootLocalFolder, getRootStarteamFolder, getViewConfiguredByDate, isForced, isPreloadFileInformation, isRecursive, isUsingRevisionLabel, isUsingViewLabel, logAsOfDate, logExcludes, logIncludes, logLabel, matchPatterns, setExcludes, setForced, setIncludes, setPreloadFileInformation, setRecursive, setRootLocalFolder, setRootStarteamFolder, shouldProcess`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.starteam.StarTeamTask
`disconnectFromServer, getPassword, getProjectname, getServer, getServername, getServerport, getTypeNames, getURL, getUserName, getUserName, getViewname, getViewURL, openView, setPassword, setProjectname, setServername, setServerport, setURL, setUserName, setViewname`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StarTeamCheckin

    public StarTeamCheckin()

  Constructor for StarTeamCheckin.

Method Detail

### setCreateFolders

    public void setCreateFolders(boolean argCreateFolders)

  Sets the value of createFolders

  Parameters:
    `argCreateFolders` - Value to assign to this.createFolders

### getComment

    public java.lang.String getComment()

  Get the comment attribute for this operation

  Returns:
    value of comment.

### setComment

    public void setComment(java.lang.String comment)

  Optional checkin comment to be saved with the file.

  Parameters:
    `comment` - Value to assign to comment.

### isAddUncontrolled

    public boolean isAddUncontrolled()

  Get the value of addUncontrolled.

  Returns:
    value of addUncontrolled.

### setAddUncontrolled

    public void setAddUncontrolled(boolean addUncontrolled)

  if true, any files or folders NOT in StarTeam will be added to the repository. Defaults to "false".

  Parameters:
    `addUncontrolled` - Value to assign to addUncontrolled.

### setUnlocked

    public void setUnlocked(boolean v)

  Set to do an unlocked checkout; optional, default is false; If true, file will be unlocked so that other users may change it. If false, lock status will not change.

  Parameters:
    `v` - true means do an unlocked checkout false means leave status alone.

### createSnapshotView

    protected com.starbase.starteam.View createSnapshotView(com.starbase.starteam.View raw)

  Override of base-class abstract function creates an appropriately configured view. For checkins this is always the current or "tip" view.

  Specified by:
    `createSnapshotView` in class `StarTeamTask`
  Parameters:
    `raw` - the unconfigured `View`
  Returns:
    the snapshot `View` appropriately configured.

### testPreconditions

    protected void testPreconditions()
                              throws BuildException

  Implements base-class abstract function to define tests for any preconditons required by the task.

  Specified by:
    `testPreconditions` in class `TreeBasedTask`
  Throws:
    `BuildException` - thrown if both rootLocalFolder and viewRootLocalFolder are defined
  See Also:
    `execute()`

### logOperationDescription

    protected void logOperationDescription(com.starbase.starteam.Folder starteamrootFolder,
                                           java.io.File targetrootFolder)

  Implements base-class abstract function to emit to the log an entry describing the parameters that will be used by this operation.

  Specified by:
    `logOperationDescription` in class `TreeBasedTask`
  Parameters:
    `starteamrootFolder` - root folder in StarTeam for the operation
    `targetrootFolder` - root local folder for the operation (whether specified by the user or not).

### visit

    protected void visit(com.starbase.starteam.Folder starteamFolder,
                         java.io.File targetFolder)
                  throws BuildException

  Implements base-class abstract function to perform the checkout operation on the files in each folder of the tree.

  Specified by:
    `visit` in class `TreeBasedTask`
  Parameters:
    `starteamFolder` - the StarTeam folder to which files will be checked in
    `targetFolder` - local folder from which files will be checked in
  Throws:
    `BuildException` - if any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD